JarLoader (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.plugin
Class JarLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              org.maltparser.core.plugin.JarLoader

    public class JarLoader

extends SecureClassLoader

The jar class loader loads the content of a jar file that complies with a MaltParser Plugin.

Author:
  Johan Hall

Constructor Summary
`JarLoader(ClassLoader parent)` Creates a new class loader that is specialized for loading jar files.

Method Summary
`protected void` | `checkPackageAccess(String name)` Checks package access
`protected Class<?>` | `findClass(String name)`
`Class<?>` | `getClass(String classname)` Returns the Class object for the class with the specified name.
`boolean` | `readJarFile(URL jarUrl)` Loads the content of a jar file that comply with a MaltParser Plugin
`String` | `toString()`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass, getPermissions`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JarLoader

    public JarLoader(ClassLoader parent)

  Creates a new class loader that is specialized for loading jar files.

  Parameters:
    `parent` - The parent class loader

Method Detail

### findClass

    protected Class<?> findClass(String name)

  Overrides:
    `findClass` in class `ClassLoader`

### readJarFile

    public boolean readJarFile(URL jarUrl)
                        throws MaltChainedException

  Loads the content of a jar file that comply with a MaltParser Plugin

  Parameters:
    `jarUrl` - The URL to the jar file
  Throws:
    `PluginException`
    `MaltChainedException`

### getClass

    public Class<?> getClass(String classname)

  Returns the Class object for the class with the specified name.

  Parameters:
    `classname` - the fully qualified name of the desired class
  Returns:
    the Class object for the class with the specified name.

### checkPackageAccess

    protected void checkPackageAccess(String name)

  Checks package access

  Parameters:
    `name` - the package name

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.